Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Entity API / updateCard
- Article
- 5 minutes to read
Operation Information
- Application Reference:
com.hornbill.boardmanager - Scope:
Entity - Card - Class:
Entity - Required Privilege Level:
user - Required Rights: Group A - canMove
Description
update the card
Request Parameters
The updateCard API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
h_card_id |
xs:string |
Yes | The Id of the card to update |
h_board_id |
xs:integer |
No | The board Id |
h_lane_id |
xs:integer |
No | The Lane Id |
h_title |
xs:string |
No | Card Title |
h_content |
xs:string |
No | Display contents of card |
h_order |
xs:integer |
No | order card appears in lane |
h_column |
xs:string |
No | Which column within the lane a card will appear (if the lane has multiple columns) |
h_type |
xs:string |
No | Card Type that define what properties a card can have (eg card, note, seperator). Not different applications can define different types |
h_value |
xs:decimal |
No | A value for the card (eg scrum points, cost etc) |
h_style |
xs:string |
No | Style for the card |
h_progress |
xs:integer |
No | Progress of card from 0-100 |
h_checklist |
xs:string |
No | Json object containing the checklist data |
h_status_name |
xs:string |
No | Status for Card |
h_status_icon |
xs:string |
No | Icon for status |
h_status_info |
xs:string |
No | Status info of the card |
h_image |
xs:string |
No | The background image of the card |
h_link |
xs:string |
No | The background image of the card |
h_entered_on |
xs:dateTime |
No | The dtae the card was last moved (this can be manually edited) |
fromBoard |
xs:boolean |
No | Is this added from the board |
h_custom_1 |
xs:string |
No | The first custom field in board manager |
h_custom_2 |
xs:string |
No | The second custom field in board manager |
h_custom_3 |
xs:string |
No | The third custom field in board manager |
h_custom_4 |
xs:string |
No | The fourth custom field in board manager |
Response Parameters
| Name | Type | Description |
|---|---|---|
h_card_id |
xs:string |
The Id of the card to update |
h_board_id |
xs:integer |
The board Id |
h_lane_id |
xs:integer |
The Lane Id |
h_title |
xs:string |
Card Title |
h_content |
xs:string |
Display contents of card |
h_order |
xs:integer |
order card appears in lane |
h_column |
xs:string |
Which column within the lane a card will appear (if the lane has multiple columns) |
h_type |
xs:string |
Card Type that define what properties a card can have (eg card, note, seperator). Not different applications can define different types |
h_value |
xs:decimal |
A value for the card (eg scrum points, cost etc) |
h_progress |
xs:integer |
Progress of card from 0-100 |
h_checklist |
xs:string |
JSON object containing checklist data |
h_image |
xs:string |
The background image of the card |
h_custom_1 |
xs:string |
The first custom field in board manager |
h_custom_2 |
xs:string |
The second custom field in board manager |
h_custom_3 |
xs:string |
The third custom field in board manager |
h_custom_4 |
xs:string |
The fourth custom field in board manager |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.boardmanager/Card","@method":"updateCard","params":{"h_card_id":"xs:string","h_board_id":1,"h_lane_id":1,"h_title":"xs:string","h_content":"xs:string","h_order":1,"h_column":"xs:string","h_type":"xs:string","h_value":1.23,"h_style":"xs:string","h_progress":1,"h_checklist":"xs:string","h_status_name":"xs:string","h_status_icon":"xs:string","h_status_info":"xs:string","h_image":"xs:string","h_link":"xs:string","h_entered_on":"xs:dateTime","fromBoard":false,"h_custom_1":"xs:string","h_custom_2":"xs:string","h_custom_3":"xs:string","h_custom_4":"xs:string"}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("h_card_id", "xs:string")
hornbillAPI.SetParam("h_board_id", "xs:integer")
hornbillAPI.SetParam("h_lane_id", "xs:integer")
hornbillAPI.SetParam("h_title", "xs:string")
hornbillAPI.SetParam("h_content", "xs:string")
hornbillAPI.SetParam("h_order", "xs:integer")
hornbillAPI.SetParam("h_column", "xs:string")
hornbillAPI.SetParam("h_type", "xs:string")
hornbillAPI.SetParam("h_value", "xs:decimal")
hornbillAPI.SetParam("h_style", "xs:string")
hornbillAPI.SetParam("h_progress", "xs:integer")
hornbillAPI.SetParam("h_checklist", "xs:string")
hornbillAPI.SetParam("h_status_name", "xs:string")
hornbillAPI.SetParam("h_status_icon", "xs:string")
hornbillAPI.SetParam("h_status_info", "xs:string")
hornbillAPI.SetParam("h_image", "xs:string")
hornbillAPI.SetParam("h_link", "xs:string")
hornbillAPI.SetParam("h_entered_on", "xs:dateTime")
hornbillAPI.SetParam("fromBoard", "xs:boolean")
hornbillAPI.SetParam("h_custom_1", "xs:string")
hornbillAPI.SetParam("h_custom_2", "xs:string")
hornbillAPI.SetParam("h_custom_3", "xs:string")
hornbillAPI.SetParam("h_custom_4", "xs:string")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.boardmanager/Card", "updateCard")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card";
const payload = {
"@service": "apps/com.hornbill.boardmanager/Card",
"@method": "updateCard",
"params": {
"h_card_id": "xs:string",
"h_board_id": 1,
"h_lane_id": 1,
"h_title": "xs:string",
"h_content": "xs:string",
"h_order": 1,
"h_column": "xs:string",
"h_type": "xs:string",
"h_value": 1.23,
"h_style": "xs:string",
"h_progress": 1,
"h_checklist": "xs:string",
"h_status_name": "xs:string",
"h_status_icon": "xs:string",
"h_status_info": "xs:string",
"h_image": "xs:string",
"h_link": "xs:string",
"h_entered_on": "xs:dateTime",
"fromBoard": false,
"h_custom_1": "xs:string",
"h_custom_2": "xs:string",
"h_custom_3": "xs:string",
"h_custom_4": "xs:string"
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card";
const payload = {
"@service": "apps/com.hornbill.boardmanager/Card",
"@method": "updateCard",
"params": {
"h_card_id": "xs:string",
"h_board_id": 1,
"h_lane_id": 1,
"h_title": "xs:string",
"h_content": "xs:string",
"h_order": 1,
"h_column": "xs:string",
"h_type": "xs:string",
"h_value": 1.23,
"h_style": "xs:string",
"h_progress": 1,
"h_checklist": "xs:string",
"h_status_name": "xs:string",
"h_status_icon": "xs:string",
"h_status_info": "xs:string",
"h_image": "xs:string",
"h_link": "xs:string",
"h_entered_on": "xs:dateTime",
"fromBoard": false,
"h_custom_1": "xs:string",
"h_custom_2": "xs:string",
"h_custom_3": "xs:string",
"h_custom_4": "xs:string"
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card";
$payload = (object) [
'@service' => 'apps/com.hornbill.boardmanager/Card',
'@method' => 'updateCard',
'params' => (object) [
'h_card_id' => 'xs:string',
'h_board_id' => 'xs:integer',
'h_lane_id' => 'xs:integer',
'h_title' => 'xs:string',
'h_content' => 'xs:string',
'h_order' => 'xs:integer',
'h_column' => 'xs:string',
'h_type' => 'xs:string',
'h_value' => 'xs:decimal',
'h_style' => 'xs:string',
'h_progress' => 'xs:integer',
'h_checklist' => 'xs:string',
'h_status_name' => 'xs:string',
'h_status_icon' => 'xs:string',
'h_status_info' => 'xs:string',
'h_image' => 'xs:string',
'h_link' => 'xs:string',
'h_entered_on' => 'xs:dateTime',
'fromBoard' => 'xs:boolean',
'h_custom_1' => 'xs:string',
'h_custom_2' => 'xs:string',
'h_custom_3' => 'xs:string',
'h_custom_4' => 'xs:string',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card"
$Body = @{
"@service" = "apps/com.hornbill.boardmanager/Card"
"@method" = "updateCard"
params = @{
h_card_id = "xs:string"
h_board_id = "xs:integer"
h_lane_id = "xs:integer"
h_title = "xs:string"
h_content = "xs:string"
h_order = "xs:integer"
h_column = "xs:string"
h_type = "xs:string"
h_value = "xs:decimal"
h_style = "xs:string"
h_progress = "xs:integer"
h_checklist = "xs:string"
h_status_name = "xs:string"
h_status_icon = "xs:string"
h_status_info = "xs:string"
h_image = "xs:string"
h_link = "xs:string"
h_entered_on = "xs:dateTime"
fromBoard = "xs:boolean"
h_custom_1 = "xs:string"
h_custom_2 = "xs:string"
h_custom_3 = "xs:string"
h_custom_4 = "xs:string"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Card"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.boardmanager/Card",
"@method":"updateCard",
"params":{
"h_card_id":"xs:string",
"h_board_id":"xs:integer",
"h_lane_id":"xs:integer",
"h_title":"xs:string",
"h_content":"xs:string",
"h_order":"xs:integer",
"h_column":"xs:string",
"h_type":"xs:string",
"h_value":"xs:decimal",
"h_style":"xs:string",
"h_progress":"xs:integer",
"h_checklist":"xs:string",
"h_status_name":"xs:string",
"h_status_icon":"xs:string",
"h_status_info":"xs:string",
"h_image":"xs:string",
"h_link":"xs:string",
"h_entered_on":"xs:dateTime",
"fromBoard":"xs:boolean",
"h_custom_1":"xs:string",
"h_custom_2":"xs:string",
"h_custom_3":"xs:string",
"h_custom_4":"xs:string",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}